//  command.h - header file for command.cc, which is the command classes
//     designed to process input
#ifndef _command_h_
#define _command_h_

class commandClass
{
  public:
    // constructors and destructors
    commandClass() : min_level(0), min_position(0) {}
    commandClass(const commandClass &c) {}
    virtual ~commandClass() {}

    // This is the function to define the action of the verb
    virtual bool PerformAction(struct char_data *ch, char *arg);

    int MinLevel() { return min_level; }
    int MinPosition() { return min_position; }

  private:
    int min_level;      // minimum level to use command
    int min_position;   // minimum position to use command
};

class parserClass
{
  public:
    // constructors and destructors
    parserClass();
    parserClass(const parserClass & P);
    ~parserClass();

    void ParseData(struct char_data *ch, char *arg);

    int NumVerbs() { return num_verbs; }

  private:
    int num_verbs;
    // this is a list of verbs available to the mud
};

#endif
